net.minecraft.scoreboard

## Class Scoreboard

- java.lang.Object
- - net.minecraft.scoreboard.Scoreboard

- Direct Known Subclasses:
    ServerScoreboard

      public class Scoreboard
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scoreboard()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScorePlayerTeam` | `func_96508_e(String par1Str)`
    `ScorePlayerTeam` | `func_96509_i(String par1Str)`
    `Map` | `func_96510_d(String par1Str)`
    `void` | `func_96511_d(ScorePlayerTeam par1ScorePlayerTeam)`
    `void` | `func_96512_b(String par1Str, ScorePlayerTeam par2ScorePlayerTeam)`
    `void` | `func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)`
    `Collection` | `func_96514_c()`
    `void` | `func_96515_c(String par1Str)`
    `void` | `func_96516_a(String par1Str)`
    `static String` | `func_96517_b(int par0)`
    `ScoreObjective` | `func_96518_b(String par1Str)`
    `void` | `func_96519_k(ScoreObjective par1ScoreObjective)`
    `Collection` | `func_96520_a(ScoreObjectiveCriteria par1ScoreObjectiveCriteria)`
    `void` | `func_96521_a(String par1Str, ScorePlayerTeam par2ScorePlayerTeam)`
    `void` | `func_96522_a(ScoreObjective par1ScoreObjective)`
    `void` | `func_96523_a(ScorePlayerTeam par1ScorePlayerTeam)`
    `boolean` | `func_96524_g(String par1Str)`
    `Collection` | `func_96525_g()`
    `Collection` | `func_96526_d()`
    `ScorePlayerTeam` | `func_96527_f(String par1Str)`
    `Collection` | `func_96528_e()`
    `Score` | `func_96529_a(String par1Str, ScoreObjective par2ScoreObjective)`
    `void` | `func_96530_a(int par1, ScoreObjective par2ScoreObjective)`
    `Collection` | `func_96531_f()`
    `void` | `func_96532_b(ScoreObjective par1ScoreObjective)`
    `void` | `func_96533_c(ScoreObjective par1ScoreObjective)`
    `Collection` | `func_96534_i(ScoreObjective par1ScoreObjective)`
    `ScoreObjective` | `func_96535_a(String par1Str, ScoreObjectiveCriteria par2ScoreObjectiveCriteria)`
    `void` | `func_96536_a(Score par1Score)`
    `static int` | `func_96537_j(String par0Str)`
    `void` | `func_96538_b(ScorePlayerTeam par1ScorePlayerTeam)`
    `ScoreObjective` | `func_96539_a(int par1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scoreboard

          public Scoreboard()

  - ### Method Detail

    - #### func_96518_b

          public ScoreObjective func_96518_b(String par1Str)

    - #### func_96535_a

          public ScoreObjective func_96535_a(String par1Str,
                                    ScoreObjectiveCriteria par2ScoreObjectiveCriteria)

    - #### func_96520_a

          public Collection func_96520_a(ScoreObjectiveCriteria par1ScoreObjectiveCriteria)

    - #### func_96529_a

          public Score func_96529_a(String par1Str,
                           ScoreObjective par2ScoreObjective)

    - #### func_96534_i

          public Collection func_96534_i(ScoreObjective par1ScoreObjective)

    - #### func_96514_c

          public Collection func_96514_c()

    - #### func_96526_d

          public Collection func_96526_d()

    - #### func_96515_c

          public void func_96515_c(String par1Str)

    - #### func_96528_e

          public Collection func_96528_e()

    - #### func_96510_d

          public Map func_96510_d(String par1Str)

    - #### func_96519_k

          public void func_96519_k(ScoreObjective par1ScoreObjective)

    - #### func_96530_a

          public void func_96530_a(int par1,
                          ScoreObjective par2ScoreObjective)

    - #### func_96539_a

          public ScoreObjective func_96539_a(int par1)

    - #### func_96508_e

          public ScorePlayerTeam func_96508_e(String par1Str)

    - #### func_96527_f

          public ScorePlayerTeam func_96527_f(String par1Str)

    - #### func_96511_d

          public void func_96511_d(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96521_a

          public void func_96521_a(String par1Str,
                          ScorePlayerTeam par2ScorePlayerTeam)

    - #### func_96524_g

          public boolean func_96524_g(String par1Str)

    - #### func_96512_b

          public void func_96512_b(String par1Str,
                          ScorePlayerTeam par2ScorePlayerTeam)

    - #### func_96531_f

          public Collection func_96531_f()

    - #### func_96525_g

          public Collection func_96525_g()

    - #### func_96509_i

          public ScorePlayerTeam func_96509_i(String par1Str)

    - #### func_96522_a

          public void func_96522_a(ScoreObjective par1ScoreObjective)

    - #### func_96532_b

          public void func_96532_b(ScoreObjective par1ScoreObjective)

    - #### func_96533_c

          public void func_96533_c(ScoreObjective par1ScoreObjective)

    - #### func_96536_a

          public void func_96536_a(Score par1Score)

    - #### func_96516_a

          public void func_96516_a(String par1Str)

    - #### func_96523_a

          public void func_96523_a(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96538_b

          public void func_96538_b(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96513_c

          public void func_96513_c(ScorePlayerTeam par1ScorePlayerTeam)

    - #### func_96517_b

          public static String func_96517_b(int par0)

    - #### func_96537_j

          public static int func_96537_j(String par0Str)